<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:output method="html" 
              version="4.0" 
              encoding="ISO-8859-1" 
              indent="yes" 
              doctype-public="-//W3C//DTD HTML 4.0//EN"/>
<xsl:template match='set'>
<html>
 <head><title>Narval validation tests results</title></head>
 <body bgcolor='white'>
 <h1>Narval validation tests results</h1>
  <div>
<xsl:value-of select='nbtest/text()'/> test(s) have been run<br/>
<xsl:value-of select='nbstest/text()'/> succeed<br/>
<xsl:value-of select='nbftest/text()'/> failed<br/>

   <list><ul><h3>Basic tests</h3>
    <list>
  <xsl:apply-templates mode='test' select="validation[./description/@categ='basic']"/>
    </list></ul>
    <ul><h3>Advanced tests</h3>
    <list>
  <xsl:apply-templates mode='test' select="validation[./description/@categ='advanced']"/>
    </list></ul>
    <ul><h3>Robustness tests</h3>
    <list>
  <xsl:apply-templates mode='test' select="validation[./description/@categ='robustness']"/>
    </list></ul>
<xsl:choose>
 <xsl:when test='validation[./failed and not(./description/@categ)]'>
    <ul><h3>Unknown category</h3>
    <list>
  <xsl:apply-templates mode='test' select="validation[./failed and not(./description/@categ)]"/>
    </list></ul>
 </xsl:when>
</xsl:choose>
   </list>
  </div>
  <div>
  <xsl:apply-templates select="validation"/>
  </div>
 </body>
</html>
</xsl:template>


<xsl:template mode='test' match='validation'>
<ul>
<xsl:choose>
<xsl:when test='failed'>
  #&#160;<xsl:element name='a'>
   <xsl:attribute name='HREF'>
#<xsl:value-of select='@test'/>
   </xsl:attribute>
   <xsl:choose>
    <xsl:when test='description'>
<xsl:value-of select='description'/>
   </xsl:when>
   <xsl:otherwise>
<xsl:value-of select='@test'/>
   </xsl:otherwise>
  </xsl:choose>
  </xsl:element>
</xsl:when>
<xsl:otherwise>
  .&#160;<xsl:element name='a'>
   <xsl:attribute name='HREF'>
<xsl:value-of select='@test'/>
   </xsl:attribute>
<xsl:value-of select='description'/>
  </xsl:element>
</xsl:otherwise>
</xsl:choose>
</ul>
</xsl:template>

<xsl:template match='validation'>
 <xsl:element name='a'> 
  <xsl:attribute name='NAME'>
<xsl:value-of select='@test'/>
  </xsl:attribute>
 </xsl:element>
<b><xsl:value-of select='@test'/></b>
<xsl:text> (</xsl:text>
<font color='orange'><xsl:value-of select='description/@categ'/></font>
<xsl:text>)</xsl:text>
<br/>
<xsl:value-of select='description/text()'/> 
<table border='1'>
<xsl:apply-templates select='operation'/>
</table>
<xsl:choose>
 <xsl:when test='failed'>
<br/>
<i>Plan state found:</i>
<font color='green'>
<pre>
<xsl:value-of select='plan/text()'/>
<xsl:apply-templates select='element'/>
</pre>
</font>
 </xsl:when>
</xsl:choose>
<hr/><br/><br/>
</xsl:template>

<xsl:template match='operation'>
<tr><td>
<xsl:choose>
<xsl:when test='@status="failure"'>
<font color='red'><xsl:value-of select='@status'/></font>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select='@status'/>
</xsl:otherwise>
</xsl:choose>
</td><td>
<xsl:value-of select='text()'/>
</td></tr>
</xsl:template>

<xsl:template match='element'>
<xsl:value-of select='text()'/>
</xsl:template>
</xsl:transform>
